=== debian/control ===
Source: ros-humble-puma-motor-driver
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-clearpath-socketcan-interface, ros-humble-diagnostic-updater, ros-humble-puma-motor-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-puma-motor-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, can-utils, ros-humble-clearpath-socketcan-interface, ros-humble-diagnostic-updater, ros-humble-joy, ros-humble-puma-motor-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: A ROS driver for Puma single-channel motor control board.
